//****************************************************************************************************
//****************************************************************************************************
// -Butler main
// all rights itm-praktiker
// www.praktiker.at

// enthlt non-standard-C-Definitionen
// Datum: 05/06/2005
// Rev.:00
//
//  Compiler options: Strings in flash only, small model of printf, 8515
//
//  Revision history:
//
//****************************************************************************************************
//****************************************************************************************************

typedef	enum				BOOLtag	{ FALSE=0, TRUE=1 } Bool;

typedef	char				          Int8;
typedef	char*				          PInt8;

typedef	unsigned char		      UInt8;
typedef	unsigned char*		    PUInt8;

typedef	short int			        Int16;
typedef	short int*			      PInt16;

typedef	unsigned short int	  UInt16;
typedef	unsigned short int*	  PUInt16;

typedef	long int			        Int32;
typedef	long int*			        PInt32;

typedef	unsigned long int	    UInt32;
typedef	unsigned long int*	  PUInt32;

typedef	char				          Char;
typedef	char*				          String;

typedef	unsigned char		      Buffer;
typedef	unsigned char*		    gl_pbuffer;

#define	TASK_LOOP			for (;;)

// Hardware address defines

//Signal bit definitions
#define	IR_IN	  2 //PD2



// MCU port register defines

#define INPUT				  0x00		// Mask for port direction
#define OUTPUT				0xFF		// Mask for port direction
#define PULLUP_ON			0xFF		// Mask for port pullups
#define PULLUP_OFF		0x00		// Mask for port pullups

#define SRAM_MODE			0x80		// Enable external SRAM if bit 7, 1 ws if bit 6

#define   ZERO  0
#define   TRUE  1
#define   FALSE 0
#define   INCR  0x02
#define   DECR  0x01
#define   ON    1
#define   OFF   0

// Programm defines


#define TIRWAIT 8                                   //x0.1 Sek. WARTEZEIT FR TOGGLEUNTERDRCKUNG IR
#define TIRREPEAT 140                               //x 1 msec.. TELEGRAMMWIEDERHOLZEIT R303
#define TCOMEXT 150                                 //x 1 msec. Command extension for volume controls
#define IR_TOGGLE_WAIT 50                           // Wartezeit nach der ohne IR-Togglebit reagiert wird
#define IR_INCR2_WAIT 50                            // Wartezeit nach der ohne IR-Togglebit reagiert wird



//EEPROM addressdefines

//****************************************************************************************************
//****************************************************************************************************
//LCD-control defines
//****************************************************************************************************
//****************************************************************************************************

#define FUNCTION_SET	0x38
#define CMD		0x00
#define DATA		0x01
#define LCD_ON		0x0E
#define LCD_OFF		0x08
#define LCD_HOME	0x02
#define LCD_CLEAR	0x01
#define LCD_NEW_LINE	0xC0
#define LCD_CURSOR_OFF  0x0C
#define LCD_CURSOR_ON   0x0E



/*--------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------*/
// Program control
/*--------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------*/
